Package com.google.protobuf.compiler

# Class PluginProtos.CodeGeneratorResponse.File

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessage
com.google.protobuf.compiler.PluginProtos.CodeGeneratorResponse.File

All Implemented Interfaces:
  `PluginProtos.CodeGeneratorResponse.FileOrBuilder`, `Message`, `MessageLite`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Serializable`

Enclosing class:
  `PluginProtos.CodeGeneratorResponse`

public static final class PluginProtos.CodeGeneratorResponse.File extends GeneratedMessage implements PluginProtos.CodeGeneratorResponse.FileOrBuilder
Protobuf type `google.protobuf.compiler.CodeGeneratorResponse.File`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`PluginProtos.CodeGeneratorResponse.File.Builder`
Protobuf type `google.protobuf.compiler.CodeGeneratorResponse.File`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

`GeneratedMessage.ExtendableBuilder<MessageT extends GeneratedMessage.ExtendableMessage<MessageT>,BuilderT extends GeneratedMessage.ExtendableBuilder<MessageT,BuilderT>>, GeneratedMessage.ExtendableMessage<MessageT extends GeneratedMessage.ExtendableMessage<MessageT>>, GeneratedMessage.ExtendableMessageOrBuilder<MessageT extends GeneratedMessage.ExtendableMessage<MessageT>>, GeneratedMessage.FieldAccessorTable, GeneratedMessage.GeneratedExtension<ContainingT extends Message,T>, GeneratedMessage.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessage

`AbstractMessage.BuilderParent`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONTENT_FIELD_NUMBER`
`static final int`
`GENERATED_CODE_INFO_FIELD_NUMBER`
`static final int`
`INSERTION_POINT_FIELD_NUMBER`
`static final int`
`NAME_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessage

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Compares the specified object with this message for equality.
`String`
`getContent()`
`optional string content = 15 [json_name = "content"];`
`ByteString`
`getContentBytes()`
`optional string content = 15 [json_name = "content"];`
`static PluginProtos.CodeGeneratorResponse.File`
`getDefaultInstance()`
`PluginProtos.CodeGeneratorResponse.File`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`DescriptorProtos.GeneratedCodeInfo`
`getGeneratedCodeInfo()`
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`
`DescriptorProtos.GeneratedCodeInfoOrBuilder`
`getGeneratedCodeInfoOrBuilder()`
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`
`String`
`getInsertionPoint()`
`optional string insertion_point = 2 [json_name = "insertionPoint"];`
`ByteString`
`getInsertionPointBytes()`
`optional string insertion_point = 2 [json_name = "insertionPoint"];`
`String`
`getName()`
`optional string name = 1 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`optional string name = 1 [json_name = "name"];`
`Parser<PluginProtos.CodeGeneratorResponse.File>`
`getParserForType()`
TODO: Remove this unnecessary intermediate implementation of this method.
`int`
`getSerializedSize()`
Get the number of bytes required to encode this message.
`boolean`
`hasContent()`
`optional string content = 15 [json_name = "content"];`
`boolean`
`hasGeneratedCodeInfo()`
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`
`int`
`hashCode()`
Returns the hash code value for this message.
`boolean`
`hasInsertionPoint()`
`optional string insertion_point = 2 [json_name = "insertionPoint"];`
`boolean`
`hasName()`
`optional string name = 1 [json_name = "name"];`
`protected GeneratedMessage.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`static PluginProtos.CodeGeneratorResponse.File.Builder`
`newBuilder()`
`static PluginProtos.CodeGeneratorResponse.File.Builder`
`newBuilder(PluginProtos.CodeGeneratorResponse.File prototype)`
`PluginProtos.CodeGeneratorResponse.File.Builder`
`newBuilderForType()`
Constructs a new builder for a message of the same type as this message.
`protected PluginProtos.CodeGeneratorResponse.File.Builder`
`newBuilderForType(AbstractMessage.BuilderParent parent)`
Create a nested builder.
`static PluginProtos.CodeGeneratorResponse.File`
`parseDelimitedFrom(InputStream input)`
`static PluginProtos.CodeGeneratorResponse.File`
`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static PluginProtos.CodeGeneratorResponse.File`
`parseFrom(byte[] data)`
`static PluginProtos.CodeGeneratorResponse.File`
`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static PluginProtos.CodeGeneratorResponse.File`
`parseFrom(ByteString data)`
`static PluginProtos.CodeGeneratorResponse.File`
`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static PluginProtos.CodeGeneratorResponse.File`
`parseFrom(CodedInputStream input)`
`static PluginProtos.CodeGeneratorResponse.File`
`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static PluginProtos.CodeGeneratorResponse.File`
`parseFrom(InputStream input)`
`static PluginProtos.CodeGeneratorResponse.File`
`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static PluginProtos.CodeGeneratorResponse.File`
`parseFrom(ByteBuffer data)`
`static PluginProtos.CodeGeneratorResponse.File`
`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
`static Parser<PluginProtos.CodeGeneratorResponse.File>`
`parser()`
`PluginProtos.CodeGeneratorResponse.File.Builder`
`toBuilder()`
Constructs a builder initialized with the current message.
`void`
`writeTo(CodedOutputStream output)`
Serializes the message and writes it to `output`.

### Methods inherited from class com.google.protobuf.GeneratedMessage

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, newFileScopedGeneratedExtension, newInstance, newMessageScopedGeneratedExtension, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashFields, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### NAME_FIELD_NUMBER

public static final int NAME_FIELD_NUMBER

See Also:
  - Constant Field Values

### INSERTION_POINT_FIELD_NUMBER

public static final int INSERTION_POINT_FIELD_NUMBER

See Also:
  - Constant Field Values

### CONTENT_FIELD_NUMBER

public static final int CONTENT_FIELD_NUMBER

See Also:
  - Constant Field Values

### GENERATED_CODE_INFO_FIELD_NUMBER

public static final int GENERATED_CODE_INFO_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessage`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage`

### hasName

public boolean hasName()
`optional string name = 1 [json_name = "name"];`

Specified by:
  `hasName` in interface `PluginProtos.CodeGeneratorResponse.FileOrBuilder`
Returns:
  Whether the name field is set.

### getName

public String getName()
`optional string name = 1 [json_name = "name"];`

Specified by:
  `getName` in interface `PluginProtos.CodeGeneratorResponse.FileOrBuilder`
Returns:
  The name.

### getNameBytes

public ByteString getNameBytes()
`optional string name = 1 [json_name = "name"];`

Specified by:
  `getNameBytes` in interface `PluginProtos.CodeGeneratorResponse.FileOrBuilder`
Returns:
  The bytes for name.

### hasInsertionPoint

public boolean hasInsertionPoint()
`optional string insertion_point = 2 [json_name = "insertionPoint"];`

Specified by:
  `hasInsertionPoint` in interface `PluginProtos.CodeGeneratorResponse.FileOrBuilder`
Returns:
  Whether the insertionPoint field is set.

### getInsertionPoint

public String getInsertionPoint()
`optional string insertion_point = 2 [json_name = "insertionPoint"];`

Specified by:
  `getInsertionPoint` in interface `PluginProtos.CodeGeneratorResponse.FileOrBuilder`
Returns:
  The insertionPoint.

### getInsertionPointBytes

public ByteString getInsertionPointBytes()
`optional string insertion_point = 2 [json_name = "insertionPoint"];`

Specified by:
  `getInsertionPointBytes` in interface `PluginProtos.CodeGeneratorResponse.FileOrBuilder`
Returns:
  The bytes for insertionPoint.

### hasContent

public boolean hasContent()
`optional string content = 15 [json_name = "content"];`

Specified by:
  `hasContent` in interface `PluginProtos.CodeGeneratorResponse.FileOrBuilder`
Returns:
  Whether the content field is set.

### getContent

public String getContent()
`optional string content = 15 [json_name = "content"];`

Specified by:
  `getContent` in interface `PluginProtos.CodeGeneratorResponse.FileOrBuilder`
Returns:
  The content.

### getContentBytes

public ByteString getContentBytes()
`optional string content = 15 [json_name = "content"];`

Specified by:
  `getContentBytes` in interface `PluginProtos.CodeGeneratorResponse.FileOrBuilder`
Returns:
  The bytes for content.

### hasGeneratedCodeInfo

public boolean hasGeneratedCodeInfo()
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`

Specified by:
  `hasGeneratedCodeInfo` in interface `PluginProtos.CodeGeneratorResponse.FileOrBuilder`
Returns:
  Whether the generatedCodeInfo field is set.

### getGeneratedCodeInfo

public DescriptorProtos.GeneratedCodeInfo getGeneratedCodeInfo()
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`

Specified by:
  `getGeneratedCodeInfo` in interface `PluginProtos.CodeGeneratorResponse.FileOrBuilder`
Returns:
  The generatedCodeInfo.

### getGeneratedCodeInfoOrBuilder

public DescriptorProtos.GeneratedCodeInfoOrBuilder getGeneratedCodeInfoOrBuilder()
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`

Specified by:
  `getGeneratedCodeInfoOrBuilder` in interface `PluginProtos.CodeGeneratorResponse.FileOrBuilder`

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage`

### writeTo

public void writeTo(CodedOutputStream output) throws IOException
Description copied from interface: `MessageLite`
Serializes the message and writes it to `output`. This does not flush or close the stream.

Specified by:
  `writeTo` in interface `MessageLite`
Overrides:
  `writeTo` in class `GeneratedMessage`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()
Description copied from interface: `MessageLite`
Get the number of bytes required to encode this message. The result is only computed on the first call and memoized after that. If this message requires more than Integer.MAX_VALUE bytes to encode, the return value will be smaller than the actual number of bytes required and might be negative.

Specified by:
  `getSerializedSize` in interface `MessageLite`
Overrides:
  `getSerializedSize` in class `GeneratedMessage`

### equals

public boolean equals(Object obj)
Description copied from interface: `Message`
Compares the specified object with this message for equality. Returns `true` if the given object is a message of the same type (as defined by `getDescriptorForType()`) and has identical values for all of its fields. Subclasses must implement this; inheriting `Object.equals()` is incorrect.

Specified by:
  `equals` in interface `Message`
Overrides:
  `equals` in class `AbstractMessage`
Parameters:
  `obj` - object to be compared for equality with this message
Returns:
  `true` if the specified object is equal to this message

### hashCode

public int hashCode()
Description copied from interface: `Message`
Returns the hash code value for this message. The hash code of a message should mix the message's type (object identity of the descriptor) with its contents (known and unknown field values). Subclasses must implement this; inheriting `Object.hashCode()` is incorrect.

Specified by:
  `hashCode` in interface `Message`
Overrides:
  `hashCode` in class `AbstractMessage`
Returns:
  the hash code value for this message
See Also:
  - `Map.hashCode()`

### parseFrom

public static PluginProtos.CodeGeneratorResponse.File parseFrom(ByteBuffer data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static PluginProtos.CodeGeneratorResponse.File parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static PluginProtos.CodeGeneratorResponse.File parseFrom(ByteString data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static PluginProtos.CodeGeneratorResponse.File parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static PluginProtos.CodeGeneratorResponse.File parseFrom(byte[] data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static PluginProtos.CodeGeneratorResponse.File parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static PluginProtos.CodeGeneratorResponse.File parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static PluginProtos.CodeGeneratorResponse.File parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static PluginProtos.CodeGeneratorResponse.File parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static PluginProtos.CodeGeneratorResponse.File parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static PluginProtos.CodeGeneratorResponse.File parseFrom(CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static PluginProtos.CodeGeneratorResponse.File parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public PluginProtos.CodeGeneratorResponse.File.Builder newBuilderForType()
Description copied from interface: `MessageLite`
Constructs a new builder for a message of the same type as this message.

Specified by:
  `newBuilderForType` in interface `Message`
Specified by:
  `newBuilderForType` in interface `MessageLite`

### newBuilder

public static PluginProtos.CodeGeneratorResponse.File.Builder newBuilder()

### newBuilder

public static PluginProtos.CodeGeneratorResponse.File.Builder newBuilder(PluginProtos.CodeGeneratorResponse.File prototype)

### toBuilder

public PluginProtos.CodeGeneratorResponse.File.Builder toBuilder()
Description copied from interface: `MessageLite`
Constructs a builder initialized with the current message. Use this to derive a new message from the current one.

Specified by:
  `toBuilder` in interface `Message`
Specified by:
  `toBuilder` in interface `MessageLite`

### newBuilderForType

protected PluginProtos.CodeGeneratorResponse.File.Builder newBuilderForType(AbstractMessage.BuilderParent parent)
Description copied from class: `AbstractMessage`
Create a nested builder.

Overrides:
  `newBuilderForType` in class `AbstractMessage`

### getDefaultInstance

public static PluginProtos.CodeGeneratorResponse.File getDefaultInstance()

### parser

public static Parser<PluginProtos.CodeGeneratorResponse.File> parser()

### getParserForType

public Parser<PluginProtos.CodeGeneratorResponse.File> getParserForType()
Description copied from class: `GeneratedMessage`
TODO: Remove this unnecessary intermediate implementation of this method.

Specified by:
  `getParserForType` in interface `Message`
Specified by:
  `getParserForType` in interface `MessageLite`
Overrides:
  `getParserForType` in class `GeneratedMessage`

### getDefaultInstanceForType

public PluginProtos.CodeGeneratorResponse.File getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`